Subject: bug#20871: 25.0.50; fill-single-char-nobreak-p does not recognize a single-letter word when it is preceded by an open paren

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Jan 2018 10:46:27 +0200

> From: Marcin Borkowski <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 02 Jan 2018 09:55:47 +0100
> 
> >> Where should I put the tests?
> >> I expected something in e.g. test/lisp/textmodes/fill.el, but there's
> >> nothing like that there.
> >
> > If the file doesn't exist, create it.
> >
> >> Also, should I test only my function, or filling with it, or both?
> >
> > I think filling with your function is the most important thing to
> > test.
> >
> > Thanks.
> 
> So that's what I did (see commit 1ad94a126b on branch fix/bug-20871,
> http://git.savannah.gnu.org/cgit/emacs.git/log/?h=fix/bug-20871).  Is
> that ok?

Yes.

> I admit that these tests are rather simplistic, and I'm still
> not sure about my commit message.

I think this is ready to be installed, and if there are issues with
commit messages, we will deal with them when installing.

So please post the full patch for this issue, and let's take it from
there.

Thanks.